/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Ofertas;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class OfertasFacade extends AbstractFacade<Ofertas> implements OfertasFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public OfertasFacade() {
        super(Ofertas.class);
    }

    @Override
    public List<Ofertas> getofertasbyCodigo(String ofertaCodigo) {
        Query q = em.createNamedQuery("Ofertas.findByOfertaCodigo");
        q.setParameter("ofertaCodigo", ofertaCodigo);
        return q.getResultList();
    }


}
